#
# spec file for package audiofile (Version 0.2.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           audiofile
Url:            www.gnome.org
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Libraries
Obsoletes:      audiofil
Provides:       audiofil
AutoReqProv:    on
Summary:        An Audio File Library
Version:        0.2.6
Release:        17.4
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/audiofile/0.2/audiofile-%{version}.tar.bz2
Patch:          audiofile-m4_quote_fix.diff
Patch1:         audiofile-%{version}.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This audio file library is an implementation of the SGI audio file
library. At present, not all features of the SGI audio file library are
implemented.

This library allows the processing of audio data to and from audio
files of many common formats (currently AIFF, AIFC, WAVE, and
NeXT/Sun).



Authors:
--------
    Michael Pruett <michael@68k.org>

%debug_package
%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        An audio file library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description devel
This Audio File Library is an implementation of the SGI Audio File
library. At present, not all features of the SGI Audio File library are
implemented.

This library allows the processing of audio data to and from audio
files of many common formats (currently AIFF, AIFC, WAVE, and
NeXT/Sun).



Authors:
--------
    Michael Pruett <michael@68k.org>

%prep
%setup -q
%patch
%patch1

%build
# %{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
autoconf
automake --copy
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=%_prefix --libdir=%_libdir
make 
cp -a docs install_docs
rm install_docs/Makefile*

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README TODO COPYING* ACKNOWLEDGEMENTS AUTHORS NEWS NOTES install_docs/*
%{_prefix}/bin/s*
%_libdir/lib*.so.*

%files devel
%defattr(-, root, root)
%{_prefix}/bin/*-config
%_libdir/lib*.la
%_libdir/lib*.so
%_libdir/*.a
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%_libdir/pkgconfig/*.pc

%changelog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 16 2005 - meissner@suse.de
- fixed some implicits.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Splitted devel subpackage (#59204).
* Mon Nov 22 2004 - gekker@suse.de
- Update to version 0.2.6
* Wed Aug 25 2004 - kukuk@suse.de
- Avoid /bin/sh as PreRequires
* Mon Apr 19 2004 - ro@suse.de
- fix "control reaches end of non-void function" warnings
* Thu Mar 18 2004 - sbrabec@suse.cz
- Do not package makefiles to documentation (#36305).
* Thu Feb 19 2004 - sbrabec@suse.cz
- Updated to version 0.2.5.
* Fri Jan 16 2004 - pth@suse.de
- Fix quoting in audiofile.m4
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Sat Jul 27 2002 - kukuk@suse.de
- Provide audiofile-devel [Bug #17262]
* Wed Feb 06 2002 - coolo@suse.de
- use %%_libdir
* Sat Feb 02 2002 - adrian@suse.de
- add libaudiofile.so and libaudiofile.la to file list
  (this makes the -fPIC obsolete and arts can play again .way :)
* Sun Jan 27 2002 - schwab@suse.de
- Build with -fPIC so that it can be included in a shared library.
* Thu Jan 24 2002 - hhetter@suse.de
- fixed filelist
* Wed Jan 09 2002 - hhetter@suse.de
- updated to version 0.2.3
  * 24-bit audio processing bug fix for little-endian systems
  * new IRCAM file format support
  * new support for floating point data in AIFF-C and WAVE
  file format
  * improved support for compressed data in AIFF-C, WAVE and
  NeXT formats
  * code cleanup for 64-bit system
  * pkgconfig file for GNOME 2.0 platform compatibility
  * IMA and MS ADPCM format support
  * AF_QUERYTYPE_COMPRESSION support
- bz2 sources
* Sat Mar 03 2001 - egger@suse.de
- Updated to version 0.2.1.
- Cleaned up specfile.
* Thu Nov 09 2000 - ro@suse.de
- fixed obsoletes/provides
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Apr 26 2000 - ro@suse.de
- fixed suse update config call
* Fri Apr 07 2000 - bk@suse.de
- added suse update config marco
* Thu Sep 23 1999 - ke@suse.de
- update: version 0.1.9.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Mon Mar 01 1999 - ke@suse.de
- update 0.1.6 (pre).
* Mon Feb 15 1999 - ke@suse.de
- update (same version number...); from GNOME mirror.
* Sat Jan 09 1999 - ke@suse.de
- initial package: version 0.1.5
